import * as path from "path";

import * as express from 'express';

const port = process.env['PORT'] || 8080; // Env. variable

const router: express.Router = express.Router();
const my_Web_application = express();

console.log(__dirname + path.sep + 'static'); // https://expressjs.com/en/starter/static-files.html

my_Web_application.use(express.static('static')); // This serves resources from 'static' folder...
my_Web_application.use('/', router);
router.get('/', (request, response) => {
    response.sendFile(path.join(path.resolve(__dirname, '..') + path.sep + 'index.html'));
});
// Test: http://localhost:8080/Franck
router.get('/Franck', (request, response) => {
    response.sendFile(path.join(path.resolve(__dirname, '..') + path.sep + 'static/Franck.jpg'));
});
// Test: http://localhost:8080/Static_page
router.get('/Static_page', (request, response) => {
    response.sendFile(path.join(path.resolve(__dirname, '..') + path.sep + 'static/Static_page.html'));
});
const server = my_Web_application.listen(port);
console.log(`Server ready to accept requests on port ${port}... ctrl + C to abort...`);
